Bug 2672 - Failure to optimize away the parent pointer
: Failure to optimize away the parent pointer
Status: RESOLVED FIXED
: Pike
Compiler
: 7.8
: All Other
: P3 (normal) minor
: ---
Assigned To:
:
:
:
  Show dependency treegraph
 
Reported: 2002-01-11 18:18 CET by
Modified: 2009-11-23 13:27 CET (History)
Scrum Prio:
In scrum?: ---
Story included in sprints:
Unplanned in sprints:


Attachments


Description From 2002-01-11 18:18:00 CET
In the following case, the parent pointer in X ought to be optimized away,
but it isn't:

    class I {}

    class X
    {
      I i;
    }

    int main()
    {
      X x = ((program) X)(); // Error: Parent lost, cannot clone program.
    }
------- Comment #1 From 2004-03-31 11:37:52 CET -------
Still valid in Pike 7.5.
------- Comment #2 From 2006-09-06 03:30:51 CET -------
Still valid in Pike 7.7.
------- Comment #3 From 2009-11-19 18:10:10 CET -------
Fixed related bug:

    class I {}

    class X
    {
      inherit I;
    }

    int main()
    {
      X x = ((program) X)(); // Error: Parent lost, cannot clone program.
    }

in Pike 7.8.371.
------- Comment #4 From 2009-11-23 13:27:14 CET -------
All aspects of the bug are fixed in Pike 7.8.372 and later.

Note

You need to log in before you can comment on or make changes to this bug.